function isH264()
{
    try
    {
        var v = document.createElement('video');
        var ret = v.canPlayType('video/mp4; codecs="avc1.4D401E, mp4a.40.2"');

        if (v.canPlayType)
        {
            return "" !== (v.canPlayType('video/mp4; codecs="avc1.42E01E"') || v.canPlayType('video/mp4; codecs="avc1.42E01E, mp4a.40.2"'));
        }

        return false;
    }
    catch(e)
    {
        return false;
    }
}

function GetFlashVer()
{
    try
    {
        var ua = navigator.userAgent.toLowerCase();
        var isIE = (ua.indexOf("msie") != -1 && ua.indexOf("opera") == -1 && ua.indexOf("webtv") == -1);

        var version = 0;
        var version2 = 0;
        var lastVersion = 20;
        var i;

        if (isIE)
        {
            // browser == IE
            try
            {
                for (i = 3; i <= lastVersion; i++)
                {
                    if (eval('new ActiveXObject("ShockwaveFlash.ShockwaveFlash.' + i + '")'))
                    {
                        version = i;
                    }
                }
            }
            catch(e)
            {

            }
        }
        else
        {
            // browser != IE
            for (i = 0; i < navigator.plugins.length; i++)
            {
                if (navigator.plugins[i].name.indexOf('Flash') > -1)
                {
                    version = (parseInt(navigator.plugins[i].description.charAt(16)) > version) ? parseInt(navigator.plugins[i].description.charAt(16)) : version;
                    version2 = (parseInt(navigator.plugins[i].description.charAt(17)) > version2) ? parseInt(navigator.plugins[i].description.charAt(17)) : version2;
                }
            }

            if (version > 0 && version2 > -1)
            {
                version = parseInt(version.toString() + version2.toString());
            }
        }

        return version;
    }
    catch(e)
    {
        return 0;
    }
}

var _hex2bin = [
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 0, 0, 0, 0, 0, 0, // 0-9
    0,10,11,12,13,14,15, 0, 0, 0, 0, 0, 0, 0, 0, 0, // A-F
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0,10,11,12,13,14,15, 0, 0, 0, 0, 0, 0, 0, 0, 0, // a-f
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
];

function hex2bin(str)
{
    var len = str.length;
    var rv = '';
    var i = 0;

    var c1;
    var c2;

    while (len > 1) {
        h1 = str.charAt(i++);
        c1 = h1.charCodeAt(0);
        h2 = str.charAt(i++);
        c2 = h2.charCodeAt(0);

        rv += String.fromCharCode((_hex2bin[c1] << 4) + _hex2bin[c2]);
        len -= 2;
    }

    return rv;
}