<?php
ini_set("display_errors", 1);
include_once __DIR__ . "/functions.php";
include_once __DIR__ . "/config.php";

$tc_video = array
(
      "duraton" => 10200
      //Ссылка на картинку превью.  Ссылку можно передать через параметр GET - "i"
    , "image_url" => isset($_GET['i']) ? urldecode($_GET['i']) : ""
      //Качество видео по умолчанию
    , "default_hq" => "360p"
      //Ссылки на видео файлы (3 качества). Ссылку можно передать через параметр GET - "v"
    , "files" => array
    (
          "360p" =>  isset($_GET['v']) ? urldecode($_GET['v']) : ""
        //, "480p" => ""
        //, "720p" => ""
    )
);

$feedData = array
(
      "autoStart" => (int)$tc_config['autoplay_enabled']
    , "streamingParam" => $tc_config['streaming_param']
      //Длина буфера (в секундах)
    , "bufferLength" => 5
    , "autoHidePanel" => (int)$tc_config['control_auto_hide']
    , "duration" => $tc_video['duration']
    , "introImage" => $tc_video['image_url']
    , "error" => $tc_config['error_unload_video']
    , "videos" => array()
    , "ads" => array()
);

if (!empty($tc_config['logo_image_url']))
{
    $feedData["logo"] = array
    (
          "position" => $tc_config['logo_position']
        , "margin" => $tc_config['logo_margin']
        , "url" => $tc_config['base_url']
          //Открывать ссылку на логотипе в том же окне или в новом (_self или _blank)
        , "target" => '_self'
        , "imageUrl" => $tc_config['logo_image_url']
    );
}

foreach ($tc_video['files'] as $hq => $vurl)
{
    $feedData['videos']["_" . $hq] = array
    (
          "isDefault" => (int)($hq == $tc_video['default_hq'])
        , "pageUrl" => ""
        , "target" => '_self'
        , "fileUrl" => htmlspecialchars($vurl)
    );
}

if (!empty($tc_config['pauseroll_feedurl']))
    $feedData['ads']['centerUrl'] = $tc_config['pauseroll_feedurl'];

if (!empty($tc_config['overlay_feedurl']))
    $feedData['ads']['bottomUrl'] = $tc_config['overlay_feedurl'];

if (!empty($tc_config['preroll_feedurl']))
    $feedData['ads']['prerollUrl'] = $tc_config['preroll_feedurl'];

if (!empty($tc_config['postroll_feedurl']))
    $feedData['ads']['postrollUrl'] = $tc_config['postroll_feedurl'];

header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Cache-Control: no-cache");
header("Content-type: binary/octet-stream");

tc_prcrypt($feedData);
